> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor/write-operations/create-profiles.md).

# Create profiles

This endpoint is used to create profiles in your Vome database. Profiles will only be created if they do not already exist.

<mark style="color:red;">Please note, you must add a</mark> <mark style="color:red;"></mark><mark style="color:red;">**first name**</mark><mark style="color:red;">,</mark> <mark style="color:red;"></mark><mark style="color:red;">**last name**</mark> <mark style="color:red;"></mark><mark style="color:red;">and</mark> <mark style="color:red;"></mark><mark style="color:red;">**email address**</mark> <mark style="color:red;"></mark><mark style="color:red;">when creating profiles. The email address must be unique across profiles in your database.</mark>

#### Endpoint

```plaintext
POST api/profiles/bulk-create/
```

#### Example Request Payload

```json
{
    "unique_identifier": {
        "identifier_type":0, //Email address
        "unique_custom_field": "" 
    },
    "invite_user_to_vome": true,
    "invite_language": 'EN',
    "invite_message": '<p>We cannot wait for you to claim your profile!</p>',
    "users_data": [
        {
            "emergency_contact": {
                "name": "Jon Smith",
                "phone_number": "5555555555",
                "relationship": "Father"
            },
            "medical_information": {
                "description": "Allergies to peanuts",
                "has_medical_info": "true"
            },
            "occupation_info":{
                "occupation":0, //Student
                "occupation_institution_name":"University of Memphis"
            },
            "profile_data": {
                "id":"d2fcbe43-1eba-419e-a489-3d471f7658ff",
                "first_name": "Lily",
                "last_name": "Smith",
                "email":"lily.smith123@domain.com",
                "phone_number": "555555555",
                "date_of_birth": "1998-06-06",
                "gender": 1, //Female
                "address": "7 Freedom Trail, Medway, Norfolk, MA, USA",
                "address_coordinates": [ 
                    "42.14579519999999",
                    "-71.4391298"
                ]
            },
            "custom_field_data": [
                {
                    "custom_field_id": "395fd06d-48ca-41a0-be0c-3cd22fdad976",
                    "custom_field_name": "Salesforce ID",
                    "custom_field_user_value": "fe8fwe7f7897487r87hb"
                },
                {
                    "custom_field_id": "78c03e94-097b-4f00-8aaa-6b7e4ddf1e93",
                    "custom_field_name": "T-shirt size",
                    "custom_field_user_value": "Medium"
                }

            ]
        }
    ]
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor/write-operations/create-profiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
